NEW: Welcome to the Rhino 6 version of this page! Looking for the older Rhino 5 version?

Convert Dots to Text

Illustrates RhinoScript code that converts annotation dots to text object.

VBScript

Sub ConvertDotsToText
  Dim arrDots, strDot
  arrDots = Rhino.GetObjects("Select dots", 0, True, True )
  If Not IsArray(arrDots) Then Exit Sub

  Dim arrPt, strText
  For Each strDot In arrDots
    If Rhino.IsTextDot(strDot) Then
      strText = Rhino.TextDotText(strDot)
      arrPt = Rhino.TextDotPoint(strDot)
      Rhino.AddText strText, arrPt
      Rhino.DeleteObject strDot
    End If
  Next
End Sub